*{
    margin: 0;
    padding:0;
    font-family: Barlow;
}

/* SECTION-1 */

.container {
    display: flex;
    justify-content: center;
    background-color: #0B77C4;
    padding-top: 4%;
}

.content {
    display: flex;
    background-color: #0B77C4;
    border-radius: 10px;
    overflow: hidden;
}

.text {
    background-color: #0B77C4;
    color: white;
    padding: 50px 20px;
    display: flex;
    flex-direction: column;
    justify-content: center;
    max-width: 50%;
}

.text h2{
    font-size: 80px;
    margin-top: 0;
    line-height: 1.5;
    margin-bottom: 20px;
    margin-left: 50px;
}

.text p{
    margin-top: 0;
    font-size: 23px;
    line-height: 1.5;
    margin-left: 50px;
}


.text a {
    background-color: none;
    color: #ffff;
    padding: 10px 20px;
    text-decoration: none;
    border-radius: 20px;
    margin-top: 20px;
    margin-left: 180px;
    display: inline-block;
    width: 145px;
    align-items: center;
    border: 1px solid #ffff;
    text-align: center;
}

.text a:hover {
    background-color: #f0f0f0;
    color: #0B77C4;
}

.doctor-image {
    max-width: 55%;
    background-color: #0B77C4;
}

@media (max-width: 768px) {
  .content {
      flex-direction: column;
      align-items: center;
  }

  .text {
      max-width: 100%;
      padding: 30px 30px 0 30px;
      text-align: left;
      margin-top: 10%;
  }
  
  .text h2{
    text-align: left;
    margin-left: 0;
  }
  
  .text p {
      font-size: 15px;
      margin: 0 10px;
      text-align: left;
  }

  .text a{
      font-size: 10px;
      margin-left: 0;
      width: 25%;
  }

  .doctor-image {
      max-width: 100%;
      margin: 0;
  }
}

@media (min-width: 1500px) {

  .text{
    margin: 0 50px;
  }

  .doctor-image {
      margin: 0;
      padding-left: 120px;
  }
}

/* SERVICES SECTION */

.services-section {
    text-align: center;
    padding: 50px 20px;
    background-color: white;
}

.services-section h1 {
    color: #0B77C4;
    padding-bottom: 40px ;
    font-weight: 300;
    font-size: 50px;
}

.services-section .description {
    color: #333;
    font-size: 20px;
    margin-bottom: 40px;
    max-width: 800px;
    margin: 0 auto 40px;
}

.services {
    display: flex;
    justify-content: center;
    gap: 100px;
    flex-wrap: wrap;
}

.service {
    text-align: center;
    width: 200px;
   
}

.service i {
    font-size: 50px;
    color: #333;
    margin-bottom: 10px;
}

.service  p {
    background-color: #b3e5fc;
    color: #333;
    padding: 10px;
    border-radius: 20px;
    font-size: 18px;
    margin-top: 0;
}

.services-icon {
    max-width: 55%;
    padding: 20px;
}

@media (max-width: 768px) {
    .services {
        flex-direction: column;
        gap: 20px;
    }

    .service {
        width: 100%;
        max-width: 300px;
        align-items: center;
        margin: auto;
    }
}

::selection {
    color: #0B77C4;
    background: #d7d8e0;
  }
  
/* MILESTONES SECTION */

.milestones-section h1 {
    color: #0B77C4;
     
    padding-bottom: 40px ;
    font-weight: 300;
    font-size: 50px;
    text-align: center;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.milestones-section {
  min-height: 100vh;
  display: grid;
  align-content: center;
  gap: 2rem;
  padding: 2rem;
  font-family: "Poppins", sans-serif;
  color: var(--color);
  background: var(--bgColor);
}

.milestones-section ul {
  --col-gap: 2rem;
  --row-gap: 2rem;
  --line-w: 0.25rem;
  display: grid;
  grid-template-columns: var(--line-w) 1fr;
  grid-auto-columns: max-content;
  column-gap: var(--col-gap);
  list-style: none;
  width: min(60rem, 90%);
  margin-inline: auto;
}

/* line */
.milestones-section ul::before {
  content: "";
  grid-column: 1;
  grid-row: 1 / span 20;
  background: rgb(225, 225, 225);
  border-radius: calc(var(--line-w) / 2);
}

/* columns*/

/* row gaps */
.milestones-section ul li:not(:last-child) {
  margin-bottom: var(--row-gap);
}

/* card */
.milestones-section ul li {
  grid-column: 2;
  --inlineP: 1.5rem;
  margin-inline: var(--inlineP);
  grid-row: span 2;
  display: grid;
  grid-template-rows: min-content min-content min-content;
}

/* date */
.milestones-section ul li .date {
  --dateH: 3rem;
  height: var(--dateH);
  margin-inline: calc(var(--inlineP) * -1);

  text-align: center;
  background-color: var(--accent-color);

  color: white;
  font-size: 1.25rem;
  font-weight: 700;

  display: grid;
  place-content: center;
  position: relative;

  border-radius: calc(var(--dateH) / 2) 0 0 calc(var(--dateH) / 2);
}

/* date flap */
.milestones-section ul li .date::before {
  content: "";
  width: var(--inlineP);
  aspect-ratio: 1;
  background: var(--accent-color);
  background-image: linear-gradient(rgba(0, 0, 0, 0.2) 100%, transparent);
  position: absolute;
  top: 100%;

  clip-path: polygon(0 0, 100% 0, 0 100%);
  right: 0;
}

/* circle */
.milestones-section ul li .date::after {
  content: "";
  position: absolute;
  width: 2rem;
  aspect-ratio: 1;
  background: var(--bgColor);
  border: 0.3rem solid var(--accent-color);
  border-radius: 50%;
  top: 50%;

  transform: translate(50%, -50%);
  right: calc(100% + var(--col-gap) + var(--line-w) / 2);
}

/* title descr */
.milestones-section ul li .title,
.milestones-section ul li .descr {
  background: var(--bgColor);
  position: relative;
  padding-inline: 1.5rem;
}
.milestones-section ul li .title {
  overflow: hidden;
  padding-block-start: 1.5rem;
  padding-block-end: 1rem;
  font-weight: 500;
}
.milestones-section ul li .descr {
  padding-block-end: 1.5rem;
  font-weight: 300;
  margin-top: 6%;
}

/* shadows */
.milestones-section ul li .title::before,
.milestones-section ul li .descr::before {
  content: "";
  position: absolute;
  width: 90%;
  height: 0.5rem;
  /* background: rgba(0, 0, 0, 0.5); */
  left: 50%;
  border-radius: 50%;
  filter: blur(4px);
  transform: translate(-50%, 50%);
}
.milestones-section ul li .title::before {
  bottom: calc(100% + 0.125rem);
}

.milestones-section ul li .descr::before {
  z-index: -1;
  bottom: 0.25rem;
}

@media (min-width: 40rem) {
    .milestones-section ul {
    grid-template-columns: 1fr var(--line-w) 1fr;
  }
  .milestones-section ul::before {
    grid-column: 2;
  }
  .milestones-section ul li:nth-child(odd) {
    grid-column: 1;
  }
  .milestones-section ul li:nth-child(even) {
    grid-column: 3;
  }

  /* start second card */
  .milestones-section ul li:nth-child(2) {
    grid-row: 2/4;
  }

  .milestones-section ul li:nth-child(odd) .date::before {
    clip-path: polygon(0 0, 100% 0, 100% 100%);
    left: 0;
  }

  .milestones-section ul li:nth-child(odd) .date::after {
    transform: translate(-50%, -50%);
    left: calc(100% + var(--col-gap) + var(--line-w) / 2);
  }
  .milestones-section ul li:nth-child(odd) .date {
    border-radius: 0 calc(var(--dateH) / 2) calc(var(--dateH) / 2) 0;
  }
}

.milestones-section .credits {
  margin-top: 1rem;
  text-align: right;
}
.milestones-section .credits a {
  color: var(--color);
}

